Skip to main content
POST
/
api
/
public
/
organizations
/
{orgId}
/
dashboards
Create a dashboard
curl --request POST \
  --url https://charts.basedash.com/api/public/organizations/{orgId}/dashboards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "color": "<string>",
  "dashboardFolderId": "<string>",
  "width": "NORMAL",
  "defaultDateRange": "CUSTOM",
  "defaultCustomDateRangeStart": "2023-11-07T05:31:56Z",
  "defaultCustomDateRangeEnd": "2023-11-07T05:31:56Z",
  "defaultGroupByInterval": "HOUR"
}
'
{
  "data": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "icon": "<string>",
    "color": "<string>",
    "dashboardFolderId": "<string>",
    "width": "NORMAL",
    "defaultDateRange": "CUSTOM",
    "defaultCustomDateRangeStart": "2023-11-07T05:31:56Z",
    "defaultCustomDateRangeEnd": "2023-11-07T05:31:56Z",
    "defaultGroupByInterval": "HOUR",
    "organizationId": "<string>",
    "tabs": [
      {
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "order": 123,
        "dashboardId": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

orgId
string
required

Organization ID

Body

application/json
name
string
required

Name of the dashboard

Minimum string length: 1
description
string | null

Optional description of the dashboard

icon
string

Icon name for the dashboard

Minimum string length: 1
color
string

Icon color key for the dashboard

Minimum string length: 1
dashboardFolderId
string | null

ID of the folder to place the dashboard in

width

Width of the dashboard grid

Available options:
NORMAL
defaultDateRange

Default date range applied to the dashboard

Available options:
CUSTOM
defaultCustomDateRangeStart
string<date-time> | null

Start of the custom date range (when defaultDateRange is CUSTOM)

defaultCustomDateRangeEnd
string<date-time> | null

End of the custom date range (when defaultDateRange is CUSTOM)

defaultGroupByInterval

Default group-by interval applied to the dashboard

Available options:
HOUR

Response

Dashboard created successfully

data
object
required